Subject: Socket++ & Cygwin -- need help
From: "Carlos Bousono" <[email-masked]>
To: [email-masked]
Date: Mon, 20 May 2002 00:59:58 -0500
Newsgroups: gmane.os.cygwin

Hi,

I'm trying to compile socket++-1.11ln under cygwin (I updated cygwin
sometime in March with the automatic tool) and I get errors while compiling.

I posted this message last week, but I have received no responses so far. I
would appreciate any hint on what I can do.

Thanks,

Carlos

P.S. Socket++ can be downloaded from http://users.utu.fi/lanurm/socket++/

$ env CCC=g++ ./configure --prefix="/usr/local/socket++"
creating cache ./config.cache
checking whether make sets ${MAKE}... yes
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking for g++... g++
checking whether the C++ compiler (g++  ) works... yes
checking whether the C++ compiler (g++  ) is a cross-compiler... no
checking whether we are using GNU C++... yes
checking whether g++ accepts -g... yes
checking whether g++ version is >= 2.7.2... yes
checking for ranlib... ranlib
checking for makedepend... :
checking how to run the C preprocessor... gcc -E
checking how to run the C++ preprocessor... g++ -E
checking for AIX... no
checking for t_accept in -lnsl... no
checking for socket in -lsocket... no
checking for string.h... yes
checking for memory.h... yes
checking for _G_config.h... yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking for ANSI C header files... yes
checking for pid_t... yes
checking return type of signal handlers... void
checking for vfork.h... no
checking for working vfork... yes
checking for select... yes
checking for sys_siglist... sys_siglist
checking for sys_errlist... sys_errlist
checking for sys_errlist prototype... yes
checking for signal handler arg type... ...
checking if extern "C" wrappers are needed... no
updating cache ./config.cache
creating ./config.status
creating Makefile
creating test/Makefile
creating config.h

$ make
g++ -c  -g -fexceptions -fno-rtti -Wall -I. sockstream.C -o sockstream.o
In file included from sockstream.C:45:
sockstream.h:102: `MSG_MAXIOVLEN' was not declared in this scope
sockstream.h:102: enumerator value for `msg_maxiovlen' not integer constant
In file included from /usr/include/unistd.h:6,
                 from sockstream.C:51:
/usr/include/sys/unistd.h:142: declaration of C function `int
gethostname(char *
, unsigned int)' conflicts with
local.h:88: previous declaration `int gethostname(char *, int)' here
sockstream.C: In method `bool sockerr::benign() const':
sockstream.C:167: duplicate case value `11'
sockstream.C:165: previously used here
sockstream.C: In method `int sockbuf::pgrp() const':
sockstream.C:809: `SIOCGPGRP' undeclared (first use this function)
sockstream.C:809: (Each undeclared identifier is reported only once
sockstream.C:809: for each function it appears in.)
sockstream.C: In method `int sockbuf::pgrp(int) const':
sockstream.C:819: `SIOCSPGRP' undeclared (first use this function)
sockstream.C: In method `void sockbuf::closeonexec(bool = true) const':
sockstream.C:829: `FIOCLEX' undeclared (first use this function)
sockstream.C:832: `FIONCLEX' undeclared (first use this function)
make: *** [sockstream.o] Error 1

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/